//Ultrasonic Distance Sensor Sketch 11-20-21

#define trigPin 8  //variable for ultrasonic trigger
#define echoPin 9  //variable for ultrasonic echo
#define buzzer 10  //variable for buzzer

long duration;  // how long it takes for the signal to leave the trigger pin and come back to the echo pin 
float distanceInch;  // for turning distance into inches
int timer;   // this will be used for the value of the delay


void setup() {
  // put your setup code here, to run once:
pinMode(trigPin,OUTPUT);
pinMode(echoPin, INPUT);
pinMode(buzzer, OUTPUT);
}

void loop() {
  // Setting up your triger pin sending out signal
digitalWrite(trigPin, LOW);
delayMicroseconds(2);
digitalWrite(trigPin, HIGH);
delayMicroseconds(10);
digitalWrite(trigPin, LOW);

duration = pulseIn(echoPin, HIGH);  // determining how long it takes for the signal to get back

distanceInch = duration * 0.0133/2;

digitalWrite(buzzer, HIGH);
delay(50);
digitalWrite(buzzer, LOW);

timer = distanceInch*10;  // as the distance decreases the timer delay will decrease

delay(timer);
                   
}
